html, body {
  position: absolute;
  height: 100%;
  width: 100%;
  padding: 0;
  margin: 0;
  font-size: 10px;
  overflow-x: hidden !important;
  overflow-y: hidden !important;
}

.screen-disabled-workaround {
  width: 100%;
  height: 100%;
  position: absolute;
  display: none;

  background: black;

  z-index: 1000;
  pointer-events: auto;
}

.screen-disabled-workaround.on {
  display: block;
}

.panel {
  width: 100%;
  height: 100%;
  position: relative;
  background: #424242;
}

/*
 * Remove the styles by default
 */

* {
  -moz-user-select: none !important;
  user-select: none !important;
}

h1, h2, h3 {
  margin: 0;
}

/*
 * Buttons
 */

.action-button {
  position: absolute;
  height: 5.4rem;
  width: 5.4rem;
  z-index: 10;
  position: absolute;
  border-radius: 2.8rem;
  border: none;
  margin: 0;
  background-clip: padding-box !important;
}

.action-button span {
  background-image: url(images/CallSprite.png);
  background-repeat: no-repeat;
  width: 4rem;
  height: 4rem;
  display: block;
}

/*
 * Specific buttons for the incoming call layout. Some of them are shown
 * as well in other states of the call.
 */

#hang-up {
  bottom: 4rem;
  left: 3rem;
  z-index: 10;
  background: #d74345;
}

#hang-up span {
  background-position: 0rem -16rem;
}

#hang-up:active {
  transform: translate(-0.8rem, 0.8rem);
  height: 7rem;
  width: 7rem;
  border-radius: 3.5rem;
  border: .8rem solid rgba(215, 67, 69, 0.5);
}


#answer {
  bottom: 4rem;
  right: 3rem;
  background: #00acac;
}

#answer span {
  background-position: 0rem -20rem;
}

#answer-video {
  right: calc(50% - 2.5rem);
  bottom: 13rem;
  background: #00acac;
}

#answer-video span {
  background-position: -4rem 0rem;
}

#answer:active,
#answer-video:active{
  transform: translate(0.8rem, 0.8rem);
  height: 7rem;
  width: 7rem;
  border-radius: 3.5rem;
  border: .8rem solid rgba(0, 172, 172, 0.5);
}

/*
 * Buttons when the call is connected/connecting related
 * with the Settings of the call
 */

.setting-button {
  background: rgba(255, 255, 255, 0.7);
}

.setting-button:active {
  background: #00acac;
  transform: translate(0.8rem, 0.8rem);
  height: 7rem;
  width: 7rem;
  border-radius: 3.5rem;
  border: .8rem solid rgba(0, 172, 172, 0.5);
}

.setting-disabled,
.setting-enabled {
  background: #00acac;
}

#call-settings-video {
  bottom: 4rem;
  right: 3rem;
}

#call-settings-video span {
  background-position: -4rem -4rem;
}

#call-settings-video.setting-disabled span{
  background-position: 0rem -4rem;
}

#call-settings-video:active span {
  background-position: -4rem -4rem;
}

#call-settings-video.setting-disabled:active span{
  background-position: 0rem -4rem;
}

#call-settings-mute {
  bottom: 10.2rem;
  right: 3rem;
}

#call-settings-mute span {
  background-position: -4rem -8rem;
}

#call-settings-mute:active span {
  background-position: 0rem -8rem;
}

#call-settings-mute.setting-disabled span{
  background-position: 0rem -8rem;
}

#call-settings-mute:active span {
  background-position: -4rem -8rem;
}

#call-settings-mute.setting-disabled:active span{
  background-position: 0rem -8rem;
}

#call-settings-speaker {
  bottom: 16.4rem;
  right: 3rem;
}

#call-settings-speaker span {
  background-position: -4rem -12rem;
}

#call-settings-speaker:active span {
  background-position: 0rem -12rem;
}

#call-settings-speaker.setting-enabled span{
  background-position: 0rem -12rem;
}

#call-settings-speaker:active span {
  background-position: -4rem -12rem;
}

#call-settings-speaker.setting-disabled:active span{
  background-position: 0rem -12rem;
}

#resume-button {
  bottom: 4rem;
  right: 3rem;
  background: #00acac;
  width: 19rem;
  color: white;
}

#resume-button:active {
  background: white;
  color: #00acac;
}

/*
 * Remote buble. We show a picture of the contact we are calling to.
 * This will dissapear if the other will answer.
 */

.remote-bubble {
  position: absolute;
  top: 8rem;
  left: calc(50% - 7.5rem);
  width: 15rem;
  height: 15rem;
  background-color: #474747;
  background-size: 15rem 15rem;
  background-repeat: no-repeat;
  color: #27c8c2;
  opacity: 1;
  z-index: 10;
  font-weight: 300;
  mask: url("images/big_mask.svg#logo_mask");
}

.remote-bubble-shadow {
  position: absolute;
  top: 8rem;
  left: calc(50% - 7.5rem);
  width: 15rem;
  height: 15rem;
  background-image: url(images/big_shadow@1x.png);
  background-size: 15rem 15rem;
  background-repeat: no-repeat;
  z-index: 5;
}

.remote-bubble.default {
  background-image: url(images/thumb-generic.png);
  background-size: 100%;
}

.remote-bubble {
  font-weight: 400;
}

.local-bubble {
  height: 7.5rem !important;
  width: 7.5rem !important;

  position: absolute !important;
  bottom: 2.5rem !important;
  left: calc(50% - 3.75rem) !important;
  z-index: 10;

  border-radius: 50% !important;
  overflow: hidden !important;
}

.local-bubble-shadow {
  height: 6.7rem;
  width: 6.7rem;

  position: absolute;
  bottom: 2rem;
  left: calc(50% - 2.5rem);
  z-index: 10;
  background-image: url(images/small_shadow.png);
  background-size: 6.7rem;
  background-repeat: no-repeat;
  z-index: 5;
}

#local-video {
  background: #474747;
}

#local-video progress{
  display: block !important;
  position: absolute;
  left: 2.5rem;
  top: 2.25rem;
}

.fake-local-video {
  z-index: 15 !important;
}

/*
 * Contact info.
 */

#contact-name-details {
  margin: 0;
  text-align: center;
  position: absolute;
  top: 4rem;
  font-size: 2.5rem;
  font-style: italic;
  font-weight: 300;
  width: 100%;
  color: white;
  box-sizing: border-box;
  padding: .5rem 3rem;
  overflow: hidden !important;
  white-space: nowrap;
  text-overflow: ellipsis;
  z-index: 10;
}

#call-info {
  display: flex;
  text-align: center;
  transform: translateY(24rem);
  z-index: 10;
  justify-content: center;
}

#counter {
  font-style: italic;
  font-weight: normal;
  font-size: 1.9rem;
  padding: 0 0.5rem;
}

.counter {
  display: none;
  color: #80e7e3;
  -moz-font-feature-settings: 'tnum';
  font-feature-settings: 'tnum';
}

body[data-call-status='connected'] .counter,
body[data-call-status='hold'] .counter,
body[data-call-status='remotehold'] .counter {
  display: block;
}

#call-status-info {
  color: white;
  font-size: 1.7rem;
  font-style: italic;
  font-weight: 300;
  box-sizing: border-box;
  padding: 0 0.5rem;
}

.call-status-info {
  display: none;
}

body[data-call-status='dialing'] .call-status-info,
body[data-call-status='outgoing'] .call-status-info,
body[data-call-status='connecting'] .call-status-info,
body[data-call-status='unavailable'] .call-status-info,
body[data-call-status='hold'] .call-status-info,
body[data-call-status='remotehold'] .call-status-info,
body[data-call-status='ended'] .call-status-info {
  display: block;
}

body[data-call-status='connecting'] #resume-button,
body[data-call-status='connecting'] #answer-video,
body[data-call-status='connecting'] #answer {
  display: none;
}

body[data-call-status='dialing'] #resume-button,
body[data-call-status='dialing'] #answer-video,
body[data-call-status='dialing'] #answer,
body[data-call-status='unavailable'] #resume-button,
body[data-call-status='unavailable'] #answer-video,
body[data-call-status='unavailable'] #answer,
body[data-call-status='unavailable'] #call-settings-video,
body[data-call-status='unavailable'] #call-settings-speaker,
body[data-call-status='unavailable'] #call-settings-mute,
body[data-call-status='unavailable'] #hang-up {
  display: none;
}

body[data-call-status='dialing'] .call-status-info,
body[data-call-status='connecting'] .call-status-info,
body[data-call-status='outgoing'] .call-status-info {
  animation: animateFade 2s infinite;
}

@keyframes animateFade {
  0%   { opacity: 1; }
  50%  { opacity: 0.2; }
  100% { opacity: 1; }
}

/*
 * Wrapper to the video one
 */

.video-wrapper {
  height: 100%;
  width: 100%;
}


/*
 * Status bar of the call screen
 */

#call-bar {
  line-height: 4rem;
  font-size: 1.7rem;
  color: white;
  font-weight: 400;
  visibility: hidden;
  pointer-events: none;
  position: absolute;
  z-index: 100;
  width: 100%;
  bottom: 0;
  left: 0;
  background-color: #424242;
  height: 4rem;
  background-image: url(images/ico_callstatusbar.png);
  background-size: 2rem;
  background-position: 0.5rem 1rem;
  background-repeat: no-repeat;
}

#call-bar .title {
  float: left;
  padding-left: 3rem;
}

/* This is the "Firefox" string */
#call-bar .title span:first-child {
  font-weight: 500;
}

#call-bar > span {
  float: right;
}

#call-bar .counter,
#call-bar .call-status-info {
  padding-right: 1.5rem;
}

#call-bar .icon {
  display: none;
  background-image: url(images/callstatusbar_sprite.png);
  background-repeat: no-repeat;
  margin-top: .5rem;
  width: 2.4rem;
  height: 3rem;
  background-size: 2.4rem 15rem;
}

#call-bar .micro-info.disabled {
  background-position: 0rem -6rem; 
}

#call-bar .video-info.disabled {
  background-position: 0rem -12rem;
}

#call-bar .on-hold-info {
  background-position: 0rem 0rem;
}

body[data-call-status='connected'] #call-bar .micro-info.disabled,
body[data-call-status='connected'] #call-bar .video-info.disabled,
body[data-call-status='hold'] #call-bar .on-hold-info,
body[data-call-status='remotehold'] #call-bar .on-hold-info {
  display: block;
}

body[data-call-status='hold'] #call-bar .call-status-info,
body[data-call-status='remotehold'] #call-bar .call-status-info {
  display: none;
}

body.status-bar #call-bar {
  visibility: visible;
  pointer-events: auto;
}

/*
 * Call types
 */

body[data-local-video="on"] .local-bubble,
body[data-local-video="on"] .local-bubble-shadow {
  display: block;
}

body[data-local-video="off"] .local-bubble,
body[data-local-video="off"] .local-bubble-shadow,
body[data-call-status='unavailable'] #local-video,
body[data-call-status='unavailable'] .local-bubble-shadow {
  display: none;
}

/*
 * Feedback screen
 */

#feedback {
  background: #00acac;
  width: 100%;
  height: 100%;
  display: none;
  top: 0;
  position: absolute;
  z-index: 300;
  overflow: hidden;
  padding: 0 !important;
  margin: 0 !important;
}

.feedback-questions {
  width: 200%;
  height: 100%;
  transition: all .4s ease;
}

.feedback-questions[data-question='1'] {
  transform: translateX(0);
}

.fq-title {
  font-size: 2.3rem;
  color: white;
  text-align: center;
  font-weight: 300;
  font-style: italic;
  padding: 0 3rem;
}

.feedback-questions .fq-buttons {
  padding: 0px 2rem;
}

.feedback-questions .fq-buttons .fq-button {
  color: #fff;
  font-size: 1.4rem;
  font-weight: 300;
  font-style: italic;
  height: 15rem;
  position: relative;
}

.fq-buttons .fq-button .fq-text {
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
}

.fq-buttons .fq-button:active {
  background-color: transparent;
}


.fq-button-sad,
.fq-button-happy {
  background-color: transparent;
}

.feedback-icon {
  position: absolute;
  background-image: url(images/CallSprite.png);
  width: 12.7rem;
  top: 0;
  left: calc(50% - 6.35rem);
}

.fq-button-sad .feedback-icon{
  background-position: 0 24rem;
  height: 11.7rem;
}


.fq-button-happy .feedback-icon{
  background-position: 0 -43.8rem;
  height: 11.9rem;
}

.fq-buttons .fq-button:active .feedback-icon{
  background-blend-mode: hard-light;
  background-color: #00ACAC;
}

.feedback-questions[data-question='2'] {
  transform: translateX(-50%);
}

.feedback-question {
  width: 50%;
  height: 100%;
}

#feedback .gaia-list li:after {
  border-color: #6adede;
}

#feedback label.pack-checkbox {
  margin: -10px 15px;
}

#feedback label.pack-checkbox span {
  color: #fff;
  font-weight: 300;
  font-style: italic;
}

#feedback label.pack-checkbox span:after {
  background-image: none;
}

#feedback label.pack-checkbox input:checked ~ span {
  font-weight: 400;
}

#feedback label.pack-checkbox input:checked ~ span:after {
  background-image: url(images/ico_check.png);
  background-size: 3rem;
}

#feedback footer {
  background: transparent;
  border: none;
}

#feedback footer #rate-feedback-button {
  display: none;
  color: #00adad;
  background-color: #fff;
}

#feedback.two-options #rate-feedback-button {
  display: block;
}

#rate-feedback-button[disabled] {
  opacity: .5;
}

body[data-feedback='true'] #feedback {
  display: flex;
}

/*
 * OpenTok tweaks
 */

#local-video *,
#fullscreen-video * {
  display: none !important;
}

#local-video .OT_video-container{
  display: block !important;
  position: relative !important;
  width: 120% !important;
  height: 120% !important;
  margin-top: -10%;
  z-index: 10;
}

#local-video video{
  display: block !important;
  position: absolute !important;
  width: 100% !important;
  height: auto !important;
  left: 0 !important;
}

#fullscreen-video {
  position: absolute;
  top: 0;
  left: 0;
  z-index: 0;
  width: 100% !important;
  height: 100% !important;
  background: #424242 !important;
}

#fullscreen-image {
  position: absolute;
  z-index: 0;
  top: 0;
  left: 0;
  width: 100% !important;
  height: 100% !important;
  background: #424242;
  background-size: auto 100%;
  background-position: 50%;
  background-repeat: no-repeat;
  background-blend-mode: luminosity;
}

#fullscreen-mask {
  z-index: 5;
  background-size: auto 100%;
  top: 0;
  left: 0;
  position: absolute;
}

#fullscreen-video .OT_video-container {
  display: block !important;
  background: #424242 !important;
}

#fullscreen-video .OT_video-container video{
  display: block !important;
}


/*
 * STATES of the app
 * - data-settings: true/false
 *   Show/Hide the buttons. We need to use combined with 'no-transition' style
 * - data-call-status: dialing/connecting/connected/unavailable/
 *                     hold/remotehold/ended/feedback
 *   Show the layout according to the status of the call
 */



body.no-transition .setting-button{
  opacity: 0;
}


/*
 * - data-call-status: incoming/outgoing/connected/hold/feedback
 *   Show the layout according to the status of the call
 */
body[data-call-status='outgoing'] #answer,
body[data-call-status='outgoing'] #answer-video,
body[data-call-status='outgoing'] #resume-button {
  display: none;
}


body[data-call-status='incoming'] #call-settings,
body[data-call-status='incoming'] #call-settings-speaker ,
body[data-call-status='incoming'] #call-settings-video,
body[data-call-status='incoming'] #call-settings-mute,
body[data-call-status='incoming'] #resume-button {
  display: none;
}

body[data-call-status='connected'] #answer,
body[data-call-status='connected'] #answer-video,
body[data-call-status='connected'] #resume-button {
  display: none;
}

body[data-call-status='hold'] #call-settings,
body[data-call-status='hold'] #call-settings-speaker ,
body[data-call-status='hold'] #call-settings-video,
body[data-call-status='hold'] #call-settings-mute,
body[data-call-status='hold'] #answer,
body[data-call-status='hold'] #answer-video,
body[data-call-status='hold'] #local-video,
body[data-call-status='hold'] .local-bubble-shadow {
  display: none;
}

body[data-call-status='remotehold'] #call-settings,
body[data-call-status='remotehold'] #call-settings-speaker ,
body[data-call-status='remotehold'] #call-settings-video,
body[data-call-status='remotehold'] #call-settings-mute,
body[data-call-status='remotehold'] #answer,
body[data-call-status='remotehold'] #answer-video,
body[data-call-status='remotehold'] #local-video,
body[data-call-status='remotehold'] #resume-button,
body[data-call-status='remotehold'] .local-bubble-shadow {
  display: none;
}

body[data-call-status='ended'] #call-settings,
body[data-call-status='ended'] #call-settings-speaker ,
body[data-call-status='ended'] #call-settings-video,
body[data-call-status='ended'] #call-settings-mute,
body[data-call-status='ended'] #answer,
body[data-call-status='ended'] #answer-video,
body[data-call-status='ended'] #local-video,
body[data-call-status='ended'] #resume-button,
body[data-call-status='ended'] #hang-up,
body[data-call-status='ended'] .local-bubble-shadow {
  display: none;
}

body[data-call-status='connected'][data-remote-video="on"][data-rotation="0"] #call-info,
body[data-call-status='connected'][data-remote-video="on"][data-rotation="180"] #call-info {
  transform: translateY(8rem);
}

body[data-call-status='connected'][data-remote-video="on"] .remote-bubble,
body[data-call-status='connected'][data-remote-video="on"] .remote-bubble-shadow {
  display: none;
}

body[data-remote-video="off"] #fullscreen-video {
  display: none;
}

body[data-remote-video="on"] #fullscreen-video {
  display: block;
}

body[data-remote-video="off"] #fullscreen-image {
  display: block;
}

body[data-remote-video="on"] #fullscreen-image {
  display: none;
}


/*
  Landscape layout
*/

body[data-rotation="90"] .panel,
body[data-rotation="270"] .panel {
  transform: rotate(270deg) translate(-100%, 0);
  transform-origin: 0 0;
  width: 100vh;
  height: 100vw;
}

body[data-rotation="270"] .panel {
  transform: rotate(90deg) translate(0, -100%);
}

body[data-rotation="90"] #contact-name-details,
body[data-rotation="270"] #contact-name-details {
  top: 1.5rem;
  padding: 0 1.5rem;
}

body[data-rotation="90"] #call-info,
body[data-rotation="270"] #call-info{
  transform: translateY(4.5rem);
}

body[data-rotation="90"] #fullscreen-video .OT_video-container video,
body[data-rotation="270"] #fullscreen-video .OT_video-container video {
  width: 100% !important;
}

body[data-rotation="90"] #hang-up,
body[data-rotation="270"] #hang-up {
  bottom: 1.5rem;
  left: 1.5rem;
}

body[data-rotation="90"] #call-settings-video,
body[data-rotation="270"] #call-settings-video {
  bottom: 8rem;
  left: 1.5rem;
}

body[data-rotation="90"] #call-settings-mute,
body[data-rotation="270"] #call-settings-mute {
  bottom: 14.5rem;
  left: 1.5rem;
}

body[data-rotation="90"] #call-settings-speaker,
body[data-rotation="270"] #call-settings-speaker {
  bottom: 21rem;
  left: 1.5rem;
}

body[data-rotation="90"] #call-settings-video:active,
body[data-rotation="270"] #call-settings-video:active,
body[data-rotation="90"] #call-settings-mute:active,
body[data-rotation="270"] #call-settings-mute:active,
body[data-rotation="90"] #call-settings-speaker:active,
body[data-rotation="270"] #call-settings-speaker:active {
  transform: translate(-0.8rem, 0.8rem);
}

body[data-rotation="90"] .local-bubble-shadow,
body[data-rotation="270"] .local-bubble-shadow {
  left: unset;
  right: 1.5rem;
}

body[data-rotation="90"] #local-video,
body[data-rotation="270"] #local-video {
  right: 2rem !important;
  bottom: 2.5rem !important;
  left: unset !important;
  transform: rotate(90deg)
}

body[data-rotation="270"] #local-video {
  transform: rotate(270deg)
}

body[data-rotation="90"] #resume-button,
body[data-rotation="270"] #resume-button  {
  right: unset;
  bottom: 1.5rem;
  left: calc(50% - 9.5rem);
}


/*
  MEDIA QUERIES FOR device-pixel-ratio
*/

@media (min--moz-device-pixel-ratio: 1.5) {

  #feedback label.pack-checkbox input:checked ~ span:after {
    background-image: url(images/ico_check@1.5x.png);
  }

  .remote-bubble.default {
    background-image: url(images/thumb-generic@1.5x.png);
  }

  .remote-bubble-shadow {
    background-image: url(images/big_shadow@1.5x.png);
  }

  .local-bubble-shadow {
    background-image: url(images/small_shadow@1.5x.png);
  }

  .action-button span,
  .feedback-icon {
    background-size: 12.8rem;
    background-image: url(images/CallSprite@1.5x.png);
  }

  #call-bar {
    background-image: url(images/ico_callstatusbar@1.5x.png);
  }

  #call-bar .icon {
    background-image: url(images/callstatusbar_sprite@1.5x.png);
  }
}

@media (min--moz-device-pixel-ratio: 2) {

  #feedback label.pack-checkbox input:checked ~ span:after {
    background-image: url(images/ico_check@2x.png);
  }

  .remote-bubble.default {
    background-image: url(images/thumb-generic@2x.png);
  }

  .remote-bubble-shadow {
    background-image: url(images/big_shadow@2x.png);
  }

  .local-bubble-shadow {
    background-image: url(images/small_shadow@2x.png);
  }

  .action-button span,
  .feedback-icon {
    background-size: 12.8rem;
    background-image: url(images/CallSprite@2x.png);
  }

  #call-bar {
    background-image: url(images/ico_callstatusbar@2x.png);
  }

  #call-bar .icon {
    background-image: url(images/callstatusbar_sprite@2x.png);
  }
}

@media (min--moz-device-pixel-ratio: 2.25) {

  #feedback label.pack-checkbox input:checked ~ span:after {
    background-image: url(images/ico_check@2.25x.png);
  }

  .remote-bubble.default {
    background-image: url(images/thumb-generic@2.25x.png);
  }

  .remote-bubble-shadow {
    background-image: url(images/big_shadow@2.25x.png);
  }

  .local-bubble-shadow {
    background-image: url(images/small_shadow@2.25x.png);
  }

  .action-button span,
  .feedback-icon {
    background-size: 12.8rem;
    background-image: url(images/CallSprite@2.25x.png);
  }

  #call-bar {
    background-image: url(images/ico_callstatusbar@2.25x.png);
  }

  #call-bar .icon {
    background-image: url(images/callstatusbar_sprite@2.25x.png);
  }
}
